<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div>
    <div
      data-backdrop="static"
      data-keyboard="false"
      class="s--modal nt-modal-center modal fade"
      id="updateAttributeCustomers"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h3 class="modal-title nt-title-modal">
              <i class="icon icon-edit"></i>
              Sửa thông tin {{ totalCustomers | formatNumberPrice }} khách hàng
            </h3>
            <button
              @click.prevent="cancelUpdateAttributeCustomers()"
              type="button"
              class="close nt-title-icon-modal"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">
                <i class="la la-times"></i>
              </span>
            </button>
          </div>

          <div class="modal-body" style="overflow-y: inherit;">
            <form action>
              <div
                class="form-group m-form__group"
                :class="{'has-danger': errors.has(scope + '.select_attribute') }"
              >
                <label class="form-control-label nt-label">
                  Chọn thông tin&nbsp;
                  <span class="m--font-danger">*</span>
                </label>
                <select
                  class="form-control"
                  v-model="currentAttribute"
                  :data-vv-scope="scope"
                  v-validate="{ required: true }"
                  name="select_attribute"
                  id="select_attribute"
                  @change="changeSelectAttribute()"
                >
                  <option value>--Lựa chọn--</option>
                  <template v-for="(attribute, index) in attributes">
                    <option :value="attribute" :key="index">{{ attribute.attribute_name }}</option>
                  </template>
                </select>
                <div class="form-control-feedback m--font-danger">
                  <template
                    v-if="errors.has(scope + '.select_attribute')"
                  >Không được để trống trường này.</template>
                  <template>&nbsp;</template>
                </div>
              </div>

              <div
                v-if="currentAttribute"
                class="form-group m-form__group mb-0"
                :class="{'has-danger': errors.has(scope + '.' + currentAttribute.attribute_code) || server_errors[currentAttribute.attribute_code]}"
              >
                <label class="form-control-label nt-label">
                  {{ labelCurrentAttribute }}
                  <span
                    style="text-transform: lowercase;"
                  >{{ currentAttribute.attribute_name }}</span>&nbsp;
                  <span class="m--font-danger" v-if="currentAttribute.is_required">*</span>
                </label>

                <div style="min-height: 65px; position: relative;">
                  <div v-if="isLoader" class="m-loader m-loader--brand m-loader--lg"></div>
                  <template v-else>
                    <GetAttributeByDataTypeId
                      :attribute="currentAttribute"
                      :scope="scope"
                      :server_errors="server_errors"
                      @reload_get_list_attribute="reloadGetListAttribute"
                    />
                  </template>
                </div>
              </div>
            </form>
          </div>

          <div class="modal-footer justify-content-end">
            <button
              @click.prevent="cancelUpdateAttributeCustomers()"
              type="button"
              class="nt-button nt-button-secondary nt-button-modal"
              data-dismiss="modal"
            >Hủy bỏ</button>
            <button
              :disabled="isDisabled"
              :class="{ 'nt-button-disabled': isDisabled}"
              @click.prevent="checkValidateBeforeUpdateAttributeCustomers(scope)"
              type="submit"
              class="nt-button nt-button-warning nt-button-modal mr-0"
            >Tiếp tục</button>
          </div>
        </div>
      </div>
    </div>

    <div
      class="modal s--modal fade nt--modal-confirm-choice"
      data-backdrop="static"
      data-keyboard="false"
      id="messageUpdateAttributeCustomersError"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <div class="nt--modal-confirm-choice-content">
              <div class="nt--modal-confirm-choice-content-title-top">
                <!-- Sửa thông tin
                <span
                  class="nt-color-warning nt-simple-bold"
                >{{ totalCustomers | formatNumberPrice }}</span> khách hàng không thành công.-->
                Sửa thông tin khách hàng không thành công
              </div>
              <div
                class="nt--modal-confirm-choice-content-title-bottom"
              >Dữ liệu của khách hàng đã bị thay đổi. Vui lòng tải lại trang.</div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              type="submit"
              class="nt-button nt-button-warning nt-button-modal"
              data-dismiss="modal"
              @click.prevent="reloadPage(isReloadPage)"
            >Đóng</button>
          </div>
        </div>
      </div>
    </div>

    <div
      class="modal s--modal fade nt--modal-confirm-choice"
      data-backdrop="static"
      data-keyboard="false"
      id="confirmUpdateAttributeCustomers"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <h3 class="nt--modal-confirm-choice-title">Thông báo</h3>
            <div class="nt--modal-confirm-choice-content">
              <div class="nt--modal-confirm-choice-content-title-bottom">
                Bạn có chắc chắn muốn sửa
                <span
                  class="nt-color-warning nt-simple-bold"
                  style="text-transform: lowercase;"
                >{{ currentAttribute.attribute_name }}</span> của
                <span
                  class="nt-color-warning nt-simple-bold"
                >{{ totalCustomers | formatNumberPrice }}</span> khách hàng không?
              </div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              type="button"
              class="nt-button nt-button-secondary nt-button-modal"
              data-dismiss="modal"
              @click.prevent="cancelUpdateAttributeCustomers()"
            >Hủy bỏ</button>
            <button
              :disabled="isDisabled"
              :class="{ 'nt-button-disabled': isDisabled}"
              @click.prevent="updateAttributeCustomers()"
              type="submit"
              class="nt-button nt-button-warning nt-button-modal"
            >Tiếp tục</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
